System.ServiceModel 4.0.0.0 System.Object

In a federated scenario, services state the requirements on incoming credentials. For example, the incoming credentials must possess a certain set of claim types. This requirement is manifested in a security policy. When a client requests a security token from a security token service (for example, infocard), it puts the requirements into a token request so that the security token service can issue the security token that satisfies the requirements accordingly.

Specifies the types of required and optional claims expected to appear in the federated credential.

- Constructor
  4.0.0.0

  The predefined claim types can be found at .

  Initializes a new instance of the class for a required claim of the specified type.

  The claim type.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class for a claim of the specified type.

  The claim type.
  If false, the claim is required; otherwise, it is optional.
- Property
  4.0.0.0
  System.String To be added.

  This property is a URI that defines the type of a claim. For example, to purchase a product from a Web site, the user must present a valid credit card with a sufficient credit limit. The claim type would be the credit card URI.

  Gets the claim type that was specified in the constructor.

- Property
  4.0.0.0
  System.Boolean To be added.

  An example of how to use this property is the scenario in which the service asks for some information but does not require it. For instance, you are required to enter your first name, last name, and address, but your phone number is optional.

  Gets a value that indicates whether the claim is optional.